/**
* 文件：MateriaSupplierForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.materia.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.materia.model.MateriaSupplierEntity;
import com.mortals.xhx.module.materia.model.MateriaSupplierQuery;

/**
 * <p>Title: 物料供应商表</p>
 * <p>Description: MateriaSupplierForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class MateriaSupplierForm extends BaseCRUDFormLong<MateriaSupplierEntity> {
	private MateriaSupplierEntity materiaSupplier = new MateriaSupplierEntity();
	private MateriaSupplierQuery query = new MateriaSupplierQuery(); 
	public MateriaSupplierForm(){
		
	}
	
    @Override
	public MateriaSupplierEntity getEntity() {
		return materiaSupplier;
	}
	public MateriaSupplierEntity getMateriaSupplier() {
		return materiaSupplier;
	}

	public void setMateriaSupplier(MateriaSupplierEntity materiaSupplier) {
		this.materiaSupplier = materiaSupplier;
	}
	
	@Override
	public MateriaSupplierQuery getQuery() {
		return query;
	}

	public void setQuery(MateriaSupplierQuery query) {
		this.query = query;
	}
}